> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an entry in a synonyms file



## OpenAPI

````yaml /api-reference/4.2/service-synonyms-editor.json put /collections/{collection}/synonyms/{path}/items/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service synonyms-editor
servers:
  - url: /api/apollo/
security: []
tags:
  - name: synonyms-editor
paths:
  /collections/{collection}/synonyms/{path}/items/{id}:
    put:
      tags:
        - 4.2 Synonyms API
      summary: Update an entry in a synonyms file
      operationId: updateSynonym
      parameters:
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
        - name: path
          in: path
          description: The path to a synonym file
          required: true
          schema:
            type: string
            pattern: .*
        - name: id
          in: path
          description: The unique ID of the synonym entry
          required: true
          schema:
            type: string
        - name: commit
          in: query
          description: >-
            If true, commit the change to Solr immediately instead of
            asynchronously
          required: false
          schema:
            type: boolean
            default: true
        - name: fusion-user-name
          in: header
          description: The Fusion user for authentication
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/SynonymEntry'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SynonymEntry'
components:
  requestBodies:
    SynonymEntry:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SynonymEntry'
      description: JSON-formatted synonym entries
  schemas:
    SynonymEntry:
      type: object
      properties:
        id:
          type: string
        mapping:
          type: string
        category:
          type: string
        enabled:
          type: boolean
          default: false
        modified:
          type: string
          format: date-time
        user:
          type: string
        type:
          type: string
          readOnly: true
          enum:
            - EXPLICIT
            - EQUIVALENT

````